karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Updated] (KARAF-4434) Version range not correctly resolved for distribution build
Date Sun, 11 Dec 2016 10:33:58 GMT

     [ https://issues.apache.org/jira/browse/KARAF-4434?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jean-Baptiste Onofré updated KARAF-4434:
----------------------------------------
    Fix Version/s:     (was: 4.0.8)
                   4.0.9

> Version range not correctly resolved for distribution build
> -----------------------------------------------------------
>
>                 Key: KARAF-4434
>                 URL: https://issues.apache.org/jira/browse/KARAF-4434
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-tooling
>    Affects Versions: 4.0.4
>            Reporter: Markus Tippmann
>             Fix For: 4.1.0, 4.0.9
>
>
> using karaf-mave-plugin 4.0.4 without any obscure configuration, just bootFeatures, to
build a distribution.
> One feature contains a bundle location with a version range like:
> <bundle>mvn:groupid/artifactid/[1.0,2)<bundle>
> The assembly succeeds to build, but the distribution afterwards contains:
> system/groupid/artifactid/[1.0,2)/artifactid-[1.0,2).jar
> So it looks like the karaf assemble goal does not use the resolved version but copies
the version string from the feature XML.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message